Package: groovy.org.codenarc.ruleset

## [Groovy] Class XmlReaderRuleSet

- groovy.org.codenarc.ruleset.XmlReaderRuleSet

- All Implemented Interfaces and Traits:
    RuleSet

      @SuppressWarnings('DuplicateLiteral')
      class XmlReaderRuleSet

  A `RuleSet` implementation that parses Rule definitions from XML read from a `Reader`. Note that this class attempts to read and parse the XML from within the constructor.

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlReaderRuleSet (Reader reader)` Construct a new instance on the specified Reader

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getRules()` @return a List of Rule objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlReaderRuleSet(Reader reader)

      Construct a new instance on the specified Reader

      Parameters:
        `reader` - - the Reader from which the XML will be read; must not be null

  - ### Method Detail

    - #### List getRules()

      Returns:
        a List of Rule objects